Skip to main content
GET
Get ClickHouse setting
Beta Disclaimer: This beta endpoint is evolving; the API contract may change.

Returns the current value of a ClickHouse setting for the service. Use the schema endpoint to discover which settings are configurable.

Permission

The API key must have the control-plane:service:view permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service.

settingName
string
required

Name of the setting to retrieve.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on September 16, 2026